<?php
include("cp_header.php"); /**************************************************صفحة تعديل فروع الجمعية*******************************************************************/


//منع الانجكشن
if(!isset($_GET['id']) || !is_numeric($_GET['id'])){
	
die("الصفحة غير موجودة");		
}	

//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

//ضمان عدم الاضافة مرتين
if(!isset($RequestSignature)){
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
}

/*  اسم الجدول وبداية الكويرى */  
$table="branches";
$extensionx='' ;
$filex='';

	
?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة

if (isset($_SESSION['LastRequest']) && $_SESSION['LastRequest'] == $RequestSignature)
{
goto error;
}
else
{
$_SESSION['LastRequest'] = $RequestSignature;
}


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {
if (isset($_images['image'])){


	

   


}




//وضع الفورم فى متغيرات
$title=str_replace("'","\'",$_POST['name']);
$manager=$_POST['manager'];
$address=$_POST['address'];
$mobile1=$_POST['mobile1'];
$mobile2=$_POST['mobile2'];
$tel1=$_POST['tel1'];
$tel2=$_POST['tel2'];
$fax=$_POST['fax'];
$map=encrypt_s($_POST['map']);
$email1=$_POST['email1'];
$email2=$_POST['email2'];
$time_from=$_POST['time_from'];
$time_to=$_POST['time_to'];
$img_id=$_POST['old_img'];
$modified=date('Y-m-d H:i:s');
$priority=0;

if(isset($_POST['priority'])){ $priority=1; }

	//مسار رفع الصورة
	$src='../img/'.$table.'/';	

	if($_FILES['image']['size']!=0){
		
		
		
	
	//استدعاء ملف رفع الصور
	include("upload_image.php");
	
	if ($image_error=='1'){
	goto err1;	
	}

	
//فى حالة رفع الصورة
if ($image) {

	
	   //استدعاء ملف تعديل مقاسات الصور
	   include('SimpleImage.php');
		
	   //استدعاء ملف وضع العلامة المائية على الصور
	   include('water_mark.php');
	   $image = new SimpleImage();
	   $image->load($src.'img_'.$img_id.'.'.$extension);
	   
		
	   
	   //تحجيم الصورة
	   $image->resizeToHeight(150);
	   $image->save($src.'img_'.$img_id.'.jpg');
	   $image->resize(20,20);
	   $image->save($src.'img_'.$img_id.'_tiny.jpg');

	   //وضع العلامة المائية على الصور فى حالة تفعيل الاختيار
	   if(isset($_POST['water_mark'])){ WaterMark($src.'img_'.$img_id.'.jpg'); }	

	}else{
	err1:	

	}
	
	}
	$mobile=$_POST['mobile'];
	$email=$_POST['email'];
	$time_from=$_POST['time_from'];
	$time_to=$_POST['time_to'];
	
	
	//تمثيل الاستعلام فى شكل نص
	$q="Update `$table` 
		set `name`='$title' ,`address`='$address' , `manager`= '$manager' , `mobile1`='$mobile1', `mobile2`='$mobile2', `tel1`='$tel1', `tel2`='$tel2', `fax`='$fax',`map`='$map',`email1`=$email1,`email2`=$email2,`time_from`='$time_from',`time_to`='$time_to',`images`='$img_id' ,`modified`='$modified' ,`user_modified`='".$_SESSION[$domain."_user"]."' ,`priority`= $priority  
		Where id= ".$_GET['id'];
			
	//echo $q;
	
	
	
//بداية الاستعلام
$query= mysqli_prepare(

			$conn,
			"Update `$table` 
			set `name`=? , `address`=?,`manager`= ? , `mobile1`=?,`mobile2`=?,`tel1`=?,`tel2`=?,`fax`=?,`map`=?,`email1`=?,`email2`=?,`time_from`=?,`time_to`=?,`images`=? ,`modified`=? ,`user_modified`=? ,`priority`= ?  
			Where id= ? "
	);

		

	
//نهيئة المتغيرات وحمايتها من الحقن
mysqli_stmt_bind_param($query,'sssiiiiissssssssii',
			
		$title,$address,$manager,$mobile1,$mobile2,$tel1,$tel2,$fax,$map,$email1,$email2,$time_from,$time_to,$img_id,$modified,$_SESSION[$domain."_user"],$priority,$_GET['id']

	);


			
				//تنفيذ الاستعلام وتخزين حالته
				$execute_status=mysqli_stmt_execute($query);
			 
				//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
				if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
//عدد السجلات التى تم تنفيذها
$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
	

	echo "<div class='true'>تم رفع الوصف</div>";
	
	goto endall;
}else{
	err:	
	echo "<div class='false'>لم يتم رفع الوصف</div>";  
 

}

unset($_POST['submit']);


}

error:



//بداية الاستعلام
$query="select name,address,manager,mobile1,mobile2,email1,email2,tel1,tel2,fax,map,time_from,time_to,images,priority from $table where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
$sort_num=$fetch[0];


?>	
	
	
	
	
<div id="cp_title"> تعديل فروع الجمعية
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>	

</div>
<div id="cp_body">

<form id="app_form" enctype="multipart/form-data"   method="post" action="<?php echo $_SERVER['PHP_SELF'].'?id='.$_GET['id'] ; ?>">
<div class="cp_word_body">
<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>اسم الفرع</div>
<div class="cp_field">
<input alt="1" id="title" class="required " name="name" type="text" value="<?php echo $fetch['name'] ?>" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>العنوان</div>
<div class="cp_field">
<input alt="1" id="title" class="required " name="address" type="text" value="<?php echo $fetch['address'] ?>" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>مدير الفرع </div>
<div class="cp_field">
<input class=" required" alt="1" autocomplete="off"  name="manager" type="text" value="<?php echo $fetch['manager'] ?>" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title"><span style="color:red">*</span>رقم الجوال1</div>
<div class="cp_field">
<input alt="1" id="title" class="required" name="mobile1"  value="<?php echo $fetch['mobile1'] ?>" type="number" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">رقم الجوال2</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="mobile2"  value="<?php echo $fetch['mobile2'] ?>" type="number" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">رقم الهاتف1</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="tel1"  value="<?php echo $fetch['tel1'] ?>" type="number" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">رقم الهاتف2</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="tel2"  value="<?php echo $fetch['tel2'] ?>" type="number" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">رقم الفاكس</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="fax"  value="<?php echo $fetch['fax'] ?>" type="number" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">الخريطة</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="map"  value='<?php echo decrypt_s($fetch['map']); ?>' type="text" />
<div class="field_val "></div>	
</div>
</div>


<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">البريد الإلكترونى1</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="email"  value="<?php echo $fetch['email1'] ?>" type="email1" pattern="[a-zA-Z0-9._%+-]+@[a-z0-9.-]+\.[a-zA-Z]{2,4}" />
<div class="field_val "></div>	
</div>
</div>

<div class="cp_login_row" style="float:right;;height:120px">
<div class="cp_title">البريد الإلكترونى2</div>
<div class="cp_field">
<input alt="1" id="title" class="requiredx " name="email"  value="<?php echo $fetch['email2'] ?>" type="email2" pattern="[a-zA-Z0-9._%+-]+@[a-z0-9.-]+\.[a-zA-Z]{2,4}" />
<div class="field_val "></div>	
</div>
</div>
	

<div class="cp_login_row" >
<div class="cp_title"><span style="color:red">*</span>اوقات العمل </div>
<div class="cp_field">

من
<input class=" required" alt="1" autocomplete="off"  name="time_from" type="time" value="<?php echo $fetch['time_from'] ?>"/>
<div class="field_val "></div>	
<br>
الى
<input class=" required" alt="1" autocomplete="off"  name="time_to" type="time" value="<?php echo $fetch['time_to'] ?>"/>
<div class="field_val "></div>	
</div>
</div>
	
	
<div class="cp_login_row">
<div class="cp_title"> رفع الصورة </div>
<div class="cp_fielda">
<div class="wrapper images"></div>	
<input num="1" class='browse ' alt="4"  name="image" type="file" accept="image/png, image/jpeg" />

<div style='float:left;border:solid 1px #888;margin-left:300px;' class='old_file'>
<img loading='lazy' id="browse_img1" src="<?php if($fetch['images']!=''){ echo '../img/'.$table.'/img_'.$fetch['images']."_tiny.webp"; } ?>" style="float:left;width:80px;height:40px;background:url(../img/small_loading.gif) no-repeat center center #fff"/>
<input name='old_img' value='<?php echo $fetch['images']; ?>' type='hidden' />
</div>
<div class="field_val no_margin "></div>
</div>
</div>



<div class="cp_login_row" >
<div class="cp_title">الاولوية</div>
<div class="cp_field">
<input alt="1" id="ajil" name="priority" type="checkbox"  
<?php if($fetch['priority']=='1'){ echo "checked='checked'" ;} ?>
/>	
</div>
</div>
</div>	
</div>

<div class="cp_login_row">
<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  title="دخول" type="submit"></div>
</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>

</div>
</div>

<?php 
//تحميل الفوتر
include("cp_footer.php"); ?>

<?php 
exit();

endall:
echo "<a class='true' href='view_$table.php?search='> الانتقال لصفحة تعديل فروع الجمعية  </a>";
?>
<script type="text/javascript">
$(function(){

//الانتقال التلقائى لصفحة العرض
setTimeout(function() {
  window.location.href = "view_<?php echo $table ; ?>.php?search=";
}, 5000);


});
</script>



